# Expert Directory/Search

```
// Shortcode

[expertfile-expert-directory]
```

## Parameters

<table><thead><tr><th width="339.3333333333333">Name</th><th>Description</th></tr></thead><tbody><tr><td>page_size</td><td>Page size</td></tr><tr><td>page_number</td><td>Page number</td></tr><tr><td>tags</td><td>Filter by tags(comma-delimited)</td></tr><tr><td>categories</td><td>Filter by categories(comma-delimited)</td></tr><tr><td>topics</td><td>Filter by topics(comma-delimited)</td></tr><tr><td>profile_page_url</td><td>Override location for profile page</td></tr><tr><td>sort</td><td>Sort order(name/featured)</td></tr><tr><td>show_search</td><td>Hide searchbar(true/false)</td></tr><tr><td>show_sort</td><td>Hide sorting(true/false)</td></tr><tr><td>filter</td><td>Enable or disable filters(topic,category,alphabet)</td></tr><tr><td>filter_show</td><td>Set number of filter items to display before "show more" appears</td></tr><tr><td>search_result_topic_max</td><td>Set number of topics shown in search result</td></tr><tr><td>searchbox_placeholder</td><td>Set search box placeholder text</td></tr><tr><td>show_powered_by</td><td>Display Powered by ExpertFile logo(true/false)</td></tr><tr><td>search_term_sort</td><td>Set sorting options when keyword search has been executed</td></tr><tr><td>filter_label_category</td><td>Set category filter label</td></tr><tr><td>filter_label_topic</td><td>Set top topics filter label</td></tr><tr><td>filter_label_alphabet</td><td>Set alphabet filter label</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.expertfile.com/reference/wordpress/expert-directory-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
